## myst-nb 1.0.0

=== debian/changelog ===
myst-nb (1.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Mon, 22 Apr 2024 10:44:11 +0800

myst-nb (1.0.0-1~exp2) experimental; urgency=medium

  * Initial release (Closes: #1065226)

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Fri, 29 Mar 2024 22:09:38 +0800

## myst-nb 1.1.0

=== docs/requirements.txt ===
# this is only required by coconut kernel
ipython<=8.16.1

=== debian/changelog ===
myst-nb (1.1.0-1) unstable; urgency=medium

  * Upload to unstable with version 1.1.0

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Wed, 08 May 2024 13:32:45 +0800

myst-nb (1.1.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.1.0

 -- Xuanteng Huang <xuanteng.huang@outlook.com>  Fri, 26 Apr 2024 14:02:26 +0800

=== debian/control ===
Source: myst-nb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Xuanteng Huang <xuanteng.huang@outlook.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               pybuild-plugin-pyproject,
               help2man,
               python3-setuptools,
               python3-all,
               python3-docutils,
               python3-ipython,
               python3-nbclient,
               python3-yaml,
               python3-sphinx,
               python3-myst-parser,
               python3-ipykernel,
               python3-typing-extensions,
               python3-importlib-metadata,
               jupyter-notebook,
               jupyter-nbformat,
               python3-jupyter-cache,
               python3-pytest <!nocheck>,
               python3-coverage <!nocheck>,
               python3-bs4 <!nocheck>,
               python3-numpy <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-regressions <!nocheck>,
               python3-sympy <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/executablebooks/MyST-NB
Vcs-Browser: https://salsa.debian.org/python-team/packages/myst-nb
Vcs-Git: https://salsa.debian.org/python-team/packages/myst-nb.git
Rules-Requires-Root: no

Package: python3-myst-nb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Parse and execute ipynb files in Sphinx
 A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser.
 The primary tool this package provides is a Sphinx parser for ipynb files.
 This enables to directly convert Jupyter Notebooks into Sphinx documents.
 .
 This package installs the library for Python 3.

## myst-nb 1.1.2

=== docs/requirements.txt ===
# this is only required by coconut kernel
ipython

=== debian/changelog ===
myst-nb (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.2
  * d/control: Bump Standards-Version to 4.7.0, no changes needed

 -- João Lucas Vasconcelos <joao.brasilpv@gmail.com>  Fri, 29 Nov 2024 14:26:18 -0300

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                python3-pytest-cov <!nocheck>,
                python3-pytest-regressions <!nocheck>,
                python3-sympy <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/executablebooks/MyST-NB
 Vcs-Browser: https://salsa.debian.org/python-team/packages/myst-nb
 Vcs-Git: https://salsa.debian.org/python-team/packages/myst-nb.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME = myst-nb

define create_man =
PYTHONPATH=$(CURDIR)/debian/python3-myst-nb/usr/lib/python3/dist-packages \
help2man \
  --no-info \
  --source=debian \
  --help-option='-h' \
  --no-discard-stderr \
  --version-string=$(DEB_VERSION) \
  --name=$(2) \
  --section=$(3) \
  --output debian/python3-myst-nb/usr/share/man/man$(3)/$(2).$(3) \
  $(1)/$(2)
endef

%:
	dh $@ --with python3 --buildsystem=pybuild

TEST_KEYWORDS += test_sphinx

export PYBUILD_TEST_PYTEST := 1
export PYBUILD_TEST_ARGS := -k "$(TEST_KEYWORDS)"

override_dh_link:
	ls -alh $(CURDIR)/debian/python3-myst-nb/usr/lib/python3/dist-packages
	mkdir -p debian/python3-myst-nb/usr/share/man/man1
	$(call create_man,debian/python3-myst-nb/usr/bin,mystnb-docutils-html,1)
	$(call create_man,debian/python3-myst-nb/usr/bin,mystnb-docutils-html5,1)
	$(call create_man,debian/python3-myst-nb/usr/bin,mystnb-docutils-latex,1)
	$(call create_man,debian/python3-myst-nb/usr/bin,mystnb-docutils-pseudoxml,1)
	$(call create_man,debian/python3-myst-nb/usr/bin,mystnb-docutils-xml,1)
	$(call create_man,debian/python3-myst-nb/usr/bin,mystnb-quickstart,1)
	$(call create_man,debian/python3-myst-nb/usr/bin,mystnb-to-jupyter,1)
	find $(CURDIR)/debian/python3-myst-nb/usr/lib/python3/dist-packages -type d -name "__pycache__" -exec rm -rf {} +
	dh_link

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%myst-nb-$1.tar.gz%" \
   https://github.com/executablebooks/MyST-NB/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## myst-nb 1.3.0

=== docs/requirements.txt ===
# this is only required by coconut kernel
# Version limit is due to coconut and ipython inncompatibility as of 24/4/2025
ipython<9

=== debian/changelog ===
myst-nb (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Disable useless Salsa CI jobs
  * Patch-out usage of python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Fri, 09 Jan 2026 08:05:40 +0100

myst-nb (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Add debian/salsa-ci.yml
  * Rewrite debian/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Nov 2025 06:41:59 +0100

=== debian/control ===
Source: myst-nb
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Xuanteng Huang <xuanteng.huang@outlook.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 help2man,
 jupyter-nbformat,
 jupyter-notebook,
 pybuild-plugin-pyproject,
 python3-all,
 python3-bs4 <!nocheck>,
 python3-coverage <!nocheck>,
 python3-docutils,
 python3-ipykernel,
 python3-ipython,
 python3-jupyter-cache,
 python3-matplotlib <!nocheck>,
 python3-myst-parser,
 python3-nbclient,
 python3-numpy <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-regressions <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sympy <!nocheck>,
 python3-typing-extensions,
 python3-yaml,
Standards-Version: 4.7.3
Homepage: https://github.com/executablebooks/MyST-NB
Vcs-Browser: https://salsa.debian.org/python-team/packages/myst-nb
Vcs-Git: https://salsa.debian.org/python-team/packages/myst-nb.git

Package: python3-myst-nb
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Parse and execute ipynb files in Sphinx
 A Jupyter Notebook Sphinx reader built on top of the MyST markdown parser.
 The primary tool this package provides is a Sphinx parser for ipynb files.
 This enables to directly convert Jupyter Notebooks into Sphinx documents.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 endef
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 TEST_KEYWORDS += test_sphinx
